/*
 * @Author: PoJun
 * @Date: 2023-09-13 17:12:51
 * @LastEditors: PoJun
 * @LastEditTime: 2024-01-04 16:16:37
 * @Message: 供应商相关
 */
const { http } = uni.$uv;
/** 根据id获取供应商详情 */
export const getSupplierInfo = id => http.get(`/srmSuppliers/${id}/info`);
/** 获取我的供应商信息 */
export const getMySupplierInfo = () => http.get(`/srmSuppliers/self`);
/** 批量获取字典项信息 */
export const getSuppliersList = (params, config = {}) => http.get(`/srmSuppliers/page`, params, config);

export const appealMark = params => http.post(`/srmSuppliers/appeal`, params);
/** 分页查询我的合作记录 */
export const getSelfRecords = params => http.get(`/srmCooperates/self/page`, params);
