/*
 * @Author: PoJun
 * @Date: 2023-05-14 16:21:33
 * @LastEditors: PoJun
 * @LastEditTime: 2023-09-13 18:07:58
 * @Message: Nothing
 */
module.exports = {
    devServer: {
        open: true,
        proxy: {
            "/api": {
                target: process.env.VUE_APP_BASE_API,
                changeOrigin: true,
                pathRewrite: { "^/api": "" },
            },
        },
    },
    configureWebpack: () => {
        if (process.env.NODE_ENV === "production") {
            return {
                plugins: [],
            };
        }
    },
    chainWebpack: () => {},
};
